Skip to content

Audit log

Read, filter and export the append-only audit log.

GET/api/audit
GET/api/audit/export

Audit log list ​

GET/api/audit

Paginated list with filters.

Authentication: bearer token.
Permission: audit.view.

Query parameters

NameTypeRequiredNotes
actionstringNoAt most 100 characters.
actorIdstringNo
resourceTypestringNoAt most 100 characters.
resourceIdstringNo
startDatestringNoISO 8601.
endDatestringNoISO 8601.
searchstringNoAt most 200 characters.
pagenumberNoDefault 1. At least 1.
limitnumberNoDefault 25. 1–100.
bash
curl -X GET "https://shellius.example.com/api/audit" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Audit export CSV/JSON ​

GET/api/audit/export

CSV or JSON download.

Authentication: bearer token.
Permission: audit.export.

Query parameters

NameTypeRequiredNotes
actionstringNoAt most 100 characters.
actorIdstringNo
resourceTypestringNoAt most 100 characters.
resourceIdstringNo
startDatestringNoISO 8601.
endDatestringNoISO 8601.
formatstringNoOne of csv, json. Default json.
bash
curl -X GET "https://shellius.example.com/api/audit/export" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why